Bug 682281 - Mediawiki uses the reserved word Namespace introduced in latest release of PHP
Summary: Mediawiki uses the reserved word Namespace introduced in latest release of PHP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawiki
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-04 17:47 UTC by Eric Brunson
Modified: 2011-04-30 23:25 UTC (History)
1 user (show)

Fixed In Version: mediawiki-1.16.4-58.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-21 05:28:05 UTC


Attachments (Terms of Use)

Description Eric Brunson 2011-03-04 17:47:14 UTC
Description of problem:
Mediawiki uses the name 'Namespace' extensively throughout its code.  This is a reserved word in php 5.3 so upgrading PHP to the current repo version breaks mediawiki.

Version-Release number of selected component (if applicable):
1.15

How reproducible:
Very

Steps to Reproduce:
1. install mediawiki and latest PHP from repositories
  
Actual results:
fails with errors like this...
Parse error: syntax error, unexpected T_NAMESPACE, expecting T_STRING in /usr/local/www/apache22/data/wiki/includes/Namespace.php  on line 46

Additional info:
Replacing every occurence of Namespace with something else like MWNamespace fixes the problem.  I believe this has been fixed in subsequent releases of mediawiki, so either an upgrade or a patch is required to work under the current release of PHP.

Comment 1 Axel Thimm 2011-04-05 20:43:00 UTC
mediawiki 1.16.2 (latest as of this post) contains in includes/NamespaceCompat.php

/**
 * For compatibility with extensions...
 * Will still die on PHP 5.3, of course. :P
 */
class Namespace extends MWNamespace {
        // ..
}

The install documents of mediawiki quote http://bugs.php.net/bug.php?id=50394 as the true reason for the mediawiki - php 5.3.1 incompatibility and there seem to be different thoughts on both camps for what is broken and what not.

I think the best way to deal with it is to upgrade to 1.16.2 and have the package conflict with php 5.3.1, e.g. have mediawiki currently break on f13 hoping that f13 may upgrade php 5.3.1 to something newer.

Comment 2 Fedora Update System 2011-04-07 09:01:11 UTC
mediawiki-1.16.2-56.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mediawiki-1.16.2-56.fc14

Comment 3 Fedora Update System 2011-04-07 09:01:42 UTC
mediawiki-1.16.2-56.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mediawiki-1.16.2-56.fc15

Comment 4 Fedora Update System 2011-04-07 09:02:04 UTC
mediawiki-1.16.2-56.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mediawiki-1.16.2-56.fc13

Comment 5 Fedora Update System 2011-04-07 18:48:30 UTC
Package mediawiki-1.16.2-56.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mediawiki-1.16.2-56.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mediawiki-1.16.2-56.fc14
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-04-16 06:52:56 UTC
mediawiki-1.16.4-57.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-57.fc14

Comment 7 Fedora Update System 2011-04-16 06:53:40 UTC
mediawiki-1.16.4-57.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-57.fc13

Comment 8 Fedora Update System 2011-04-16 06:54:20 UTC
mediawiki-1.16.4-57.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-57.fc15

Comment 9 Fedora Update System 2011-04-21 05:27:27 UTC
mediawiki-1.16.4-57.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-04-22 08:36:22 UTC
mediawiki-1.16.4-58.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-58.fc14

Comment 11 Fedora Update System 2011-04-22 08:37:08 UTC
mediawiki-1.16.4-58.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-58.fc13

Comment 12 Fedora Update System 2011-04-22 08:37:51 UTC
mediawiki-1.16.4-58.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mediawiki-1.16.4-58.fc15

Comment 13 Fedora Update System 2011-04-26 16:03:43 UTC
mediawiki-1.16.4-58.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-04-30 23:23:19 UTC
mediawiki-1.16.4-58.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-04-30 23:25:07 UTC
mediawiki-1.16.4-58.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.